Subject: bug#20560: 24.5; I am not happy with the new Python mode indentation behaviour

From: Noam Postavsky <[email-masked]>
Date: Sat, 20 Apr 2019 16:58:37 -0400

# patch for 20742 doesn't help for 20560
unmerge 20560
forcemerge 33979 20560
quit

Glenn Morris <[email-masked]> writes:

> Fabrice Salvaire wrote:
>
>> my_list = [
>> ____1, 2, 3,
>> ____4, 5, 6,
>> ]
>
> When I type that, I get an error, so perhaps it is not intended:
>
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   =(nil 5)
>   python-syntax-closing-paren-p()
>   (and (python-syntax-closing-paren-p) (progn (forward-char 1) (not (nth 1 (or nil (syntax-ppss))))))
>   (if (and (python-syntax-closing-paren-p) (progn (forward-char 1) (not (nth 1 (or nil (syntax-ppss)))))) (progn (cons :inside-paren-at-closing-paren start)))
>   (save-excursion (skip-syntax-forward " ") (if (and (python-syntax-closing-paren-p) (progn (forward-char 1) (not (nth 1 (or nil (syntax-ppss)))))) (progn (cons :inside-paren-at-closing-paren start))))

I'm not getting this anymore, perhaps it's been fixed in the meantime
(I've tested only in 25.3 and 26.2, I don't have 24.5 building at the
moment).

At any rate, the OP seems to be the same as 33979 (though different from
20742 which it was previously merged to).